<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}
$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[0] == "") {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$album_caption       = pg_escape_string($_REQUEST['album_caption']);
$album_description   = pg_escape_string($_REQUEST['album_description']);
$album_access_rights = $_REQUEST['album_access_rights'];
$album_parent        = $_REQUEST['parent'];

global $default_order_by;

if ($album_caption != "") {
  $album_type = $my_user_id[1] > $user_type['client'] ? "u" : "c";
  $result = pg_query($database, "insert into album (identifier, users, caption, description, date_of_creation, access_rights, type, orderby, parent_album)
                                            values (nextval('album_id_sequence'),
'$my_user_id[0]', '$album_caption', '$album_description', now(), '$album_access_rights', '$album_type', $default_order_by, $album_parent)");
  if (!$result) {
    print "Failed to create new album: $album_caption";
  }
}

site_epilog($database);
if ($album_parent == "null") {
  header("location: my.folder.php");
}
else {
  header("location: album.php?album=$album_parent");
}
?>
