<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$client_id=$_REQUEST['client'];
$result = pg_fetch_row(pg_query($database, "select identifier, client, last_name, first_name, date_of_creation, value from view_client where users=$my_user_id[0] and identifier=$client_id"));

$number_of_references = pg_fetch_row(pg_query($database, "select count(submission.identifier)
                                                            from client, photo_dupe, photo
                                                           where photo_dupe.photo = photo.identifier
                                                             and photo_dupe.identifier = submission.photo_dupe
                                                             and photo.users = $my_user_id[0]
                                                             and submission.users = $result[1]"));


site_header($page_width, "Delete Client");
site_navigator(8, $my_user_id[1]);

switch ($number_of_references[0]) {
 case 0:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.datebook.php\">My Date Book</a> : Remove client", "");
   break;
 case 1:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.datebook.php\">My Date Book</a> : There is 1 reference to this client. Cannot remove.", "");
   break;
 default:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.datebook.php\">My Date Book</a> : There are $number_of_references[0] references to this client. Cannot remove.", "");
}

print "&nbsp;<br/>\n";
print "<form method=\"post\" action=\"client.del.2.php\">";
print "<table width=\"100%\">\n";
print "<tr><td align=\"center\">";
print "<input type=\"hidden\" name=\"client\" value=\"$result[0]\">";

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr bgcolor=\"$color[table_top]\">\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=3><font class=\"tabletop\">Delete Client</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Client Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Registration Date</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Status</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<a href=\"user.php?user=$result[1]\">$result[2], $result[3]</a></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($result[4], 'date', $my_user_id[0]  == "" ? 0 : 1)."</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$result[5]</td>\n";
print "</tr>\n";
print "</table>\n";

print "</td></tr>";
print "<tr><td align=\"center\">&nbsp;<br/>";
if ($number_of_references[0] == 0) {
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
  print "<a class=\"nodecor\" href=\"my.datebook.php\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>";
}
else {
  print "<a class=\"nodecor\" href=\"my.datebook.php\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"></a>\n";
}
print "</td></tr>";
print "</table>\n";
print "</form>";
site_footer($database);
site_epilog($database);
?>
