<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$item = $_REQUEST['item'];
$label = pg_fetch_row(pg_query($database, "
  select label.identifier,
         (select url from manufacturer where identifier=label.manufacturer),
         (select name from manufacturer where identifier=label.manufacturer),
         label.name, paper.name,
         space_x, space_y, label.size_x, label.size_y, offset_x, offset_y,
         columns, rows, date_of_creation
    from label, paper
   where label.paper=paper.identifier
     and label.identifier=$item"));

site_header($page_width, "Delete Label");
site_navigator(6, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Delete lens", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['label']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<form method=\"post\" action=\"label.del.2.php\">\n";
print "<input type=\"hidden\" name=\"item\" value=\"$item\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr bgcolor=\"$color[table_top]\">\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"12\"><font class=\"tabletop\">Remove Label</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"32%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>H Space</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>V Space</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>Width</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>Height</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>H Offset</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>V Offset</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>Rows</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"6%\" nowrap>Colums</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\" nowrap>Created</td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  ><a href=\"$label[1]\">$label[2]</a> $label[3], $label[4]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[5]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[6]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[7]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[8]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[9]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[10]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[11]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$label[12]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($label[13], 'date', $my_user_id == "" ? 0 : 1). "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['label']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
