<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";
include_once "include/site.php";

$database = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$photo_id    = $_REQUEST['photo'];
$rating_id   = $_REQUEST['rating'];

$photo_data  = pg_fetch_row(pg_query($database, "
  select users, caption, medium_image_path, large_image_path, hide_original, title
    from photo, photo_version
   where photo.identifier = photo_version.photo
     and photo_version.master = 't'
     and photo.identifier = '$photo_id'"));
$folder_data = pg_fetch_row(pg_query($database, "
  select folder.identifier, folder.caption
    from photo, folder
   where photo.folder = folder.identifier
     and photo.identifier='$photo_id'"));
$user_name   = pg_fetch_row(pg_query($database, "
  select identifier, last_name, first_name
    from users
   where identifier=$photo_data[0]"));

$rating = pg_fetch_row(pg_query($database, "
  select value
    from rating
   where identifier='$rating_id'"));

site_header($page_width, "Delete Photo Rating");
if ($my_user_id[0] == $photo_data[0]) {
  site_navigator(5, $my_user_id[1]);
  $user_display_string = "My folders and albums";
}
else {
  site_navigator(1, $my_user_id[1]);
  $user_display_string = sprintf("%s, %s", $user_name[1], $user_name[2]);
}
$path_to_folder = get_path_to_folder($database, $folder_data[0]);
$title = get_photo_title($photo_data[1], $photo_data[5]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"user.php?user=$user_name[0]\">$user_display_string</a>$path_to_folder : <a href=\"folder.php?folder=$folder_data[0]\">$folder_data[1]</a> : <a href=\"photo.php?photo=$photo_id\">$title</a> : Remove your rating", "");

print "&nbsp;<br/>\n";
print "<center>\n";
display_shaded_photo("image.display.php?image=$photo_id&size=2&ver=$version", "", $image_repository_path . "/" . $photo_data[2]);
print "</center>\n";
print "&nbsp;<br/>\n";
print "<form method=\"post\" action=\"photo.rating.del.2.php\">\n";
print "<input type=\"hidden\" name=\"photo\" value=\"$photo_id\">\n";
print "<input type=\"hidden\" name=\"rating\" value=\"$rating_id\">\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"center\" bgcolor=\"$color[table_header]\"  width=\"12%\">You are about to remove your rating $rating[0], for this picture.</td>";
print "</tr>";
print "</table>\n";
print "&nbsp;<br/>\n";
print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\">\n";
print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id&detail_info=6\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";
print "&nbsp;<br/>\n";

site_footer($database);
site_epilog($database);
?>
