<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer_filter = $_REQUEST['filter'];
$all_manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $all_film_types = pg_query($database, "select identifier, name, model, iso, format, url from view_film_type order by name");
   break;
 default:
   $all_film_types = pg_query($database, "select identifier, name, model, iso, format, url from view_film_type where view_film_type.name='$manufacturer_filter' order by name");
}

site_header($page_width, "Add Film");
site_navigator(6, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Add new film", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['film']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
if (pg_num_rows($all_manufacturer) == 0) {
  print "<table border=\"0\" width=\"100%\">\n";
  print "<tr><td align=\"center\" >\n";
  print "You must add manufacturers, before adding films";
  print "</td></tr><tr><td>&nbsp;<td></tr><tr><td align=\"center\"><p>\n";
  print "<a href=\"manufacturer.add.php\"><img src=\"$theme/button.add.manufacturer.gif\" border=\"0\" alt=\"Add manufacturer\"></a>\n";
  print "</td></tr>\n";
  print "</table>\n";
  display_navigator_box_bottom("100%");
  print "&nbsp;<br/>";
  site_footer($database);
  site_epilog($database);
  exit;
}

print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\">\n";

print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">Film Types</font></td>\n";
print "<td align=\"right\" >\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"film.add.php\">All";
for ($i=0; $i < pg_num_rows($all_manufacturer); $i++) {
  $manufacturer = pg_fetch_row($all_manufacturer, $i);
  if ($manufacturer[1]==$manufacturer_filter)
    print "<option value=\"film.add.php?filter=$manufacturer[1]\" selected>$manufacturer[1]";
  else
    print "<option value=\"film.add.php?filter=$manufacturer[1]\">$manufacturer[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";

print "</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"44%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"16%\">ISO</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"16%\">Format</td>\n";
print "</tr>\n";

print "<form method=post action=film.add.2.php>\n";
$num_of_film_types = pg_num_rows($all_film_types);
if ($num_of_film_types > 0) {
  for ($i=0; $i < $num_of_film_types; $i++) {
    $film_type = pg_fetch_row($all_film_types, $i);
    print "<tr>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"radio\" name=\"film_type_id\" value=\"$film_type[0]\"></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$film_type[5]\">$film_type[1]</a></td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_type[2]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_type[3]</td>\n";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$film_type[4]</td>\n";
    print "</tr>\n";
  }
}
else
print "<tr><td colspan=\"5\" align=\"left\" bgcolor=\"$color[table_body]\" >No film types found.</td></tr>\n";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"5\"><font class=\"tabletop\">New Film Type</font></td>\n";
print "</tr>\n";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"44%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"20%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"16%\">ISO</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"16%\">Format</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"film_type_id\" value=\"custom\" checked></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  ><select name=\"film_manufacturer_id\">\n";
$num_of_manufacturers = pg_num_rows($all_manufacturer);
for ($i=0; $i < $num_of_manufacturers; $i++) {
  $manufacturer = pg_fetch_row($all_manufacturer, $i);
  print "<option value=\"$manufacturer[0]\">$manufacturer[1]";
}
print "</select></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><input type=\"text\" name=\"film_model\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >\n";
$all_film_iso = pg_query($database, "select identifier, value from film_iso order by value");
$num_of_film_iso = pg_num_rows($all_film_iso);
print "<select name=\"film_iso\">";
for ($i=0; $i < $num_of_film_iso; $i++) {
  $film_iso = pg_fetch_row($all_film_iso, $i);
  print "<option value=\"$film_iso[0]\">$film_iso[1]";
}
print "</select>";
print "</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  ><select name=\"film_format_id\">\n";
$all_film_format = pg_query($database, "select identifier, value from film_format");
$num_of_film_formats = pg_num_rows($all_film_format);
for ($i=0; $i < $num_of_film_formats; $i++) {
  $film_format = pg_fetch_row($all_film_format, $i);
  print "<option value=\"$film_format[0]\">$film_format[1]";
}
print "</select></td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td colspan=\"5\" bgcolor=\"$color[table_top]\"><font class=\"tabletop\">Film Specific Data</font></td></tr>\n";

print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"79%\">Access</td>\n";
print "</tr>\n";

print "<tr>\n";
print "<td bgcolor=\"$color[table_body]\" >\n"; display_access_combo("film_access_rights", "t", ""); print "</td>\n";
print "</tr>\n";
print "</table>\n";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.add.gif\" border=\"0\" value=\"Add Film\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['film']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>\n";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
