<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$session_id = $_COOKIE[$po_cookie];
if ($session_id == "") {
  header("location: login.php");
  exit();
}

include_once "include/common.php";
include_once "include/site.php";

$database   = site_prolog();
$my_user_id = pg_fetch_row(pg_query($database, "select identifier, type from users where session_id='$session_id'"));
if ($my_user_id[1] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$manufacturer_filter = $_REQUEST['filter'];
$filter_id           = $_REQUEST['item'];

$filter_current_value = pg_fetch_row(pg_query($database, "select name, model, variation, date_of_purchase, purchased_new, access_rights from view_filter where identifier='$filter_id'"));
$filter_type_current_value = pg_fetch_row(pg_query($database, "select type from filter where identifier='$filter_id'"));
$all_manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");
$num_of_manufacturers = pg_num_rows($all_manufacturer);

switch ($manufacturer_filter) {
 case 'All':
 case '':
   $all_filter_type = pg_query($database, "select identifier, name, model, variation, url from view_filter_type order by name");
   break;
 default:
   $all_filter_type = pg_query($database, "select identifier, name, model, variation, url from view_filter_type where name='$manufacturer_filter' or identifier='$filter_type_current_value[0]' order by name");
}

site_header($page_width, "Edit Filter");
site_navigator(6, $my_user_id[1]);
site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.profile.php\">My Profile</a> : Edit filter", "");

print "&nbsp;<br/>";
display_navigator_box_top($profile_data['filter']['idx'], $profile_data, "100%");

print "&nbsp;<br/>";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"4\">\n";
print "<table width=\"100%\">\n<tr>\n";
print "<td align=\"left\"><font class=\"tabletop\">Filter Types</font></td>\n";
print "<td align=\"right\">\n";
print "<form>\n";
print "<select onchange=\"location = this.options[this.selectedIndex].value;\">\n";
print "<option value=\"filter.edit.php\">All";
for ($i=0; $i < $num_of_manufacturers; $i++) {
  $manufactrurer = pg_fetch_row($all_manufacturer, $i);
  if ($manufactrurer[1]==$manufacturer_filter)
    print "<option value=\"filter.add.php?filter=$manufactrurer[1]\" selected>$manufactrurer[1]";
  else
    print "<option value=\"filter.add.php?filter=$manufactrurer[1]\">$manufactrurer[1]";
}
print "</select>";
print "</form>\n";
print "</td></tr>\n</table>\n";
print "</td>";
print "</tr>";

print "<form method=\"post\" action=\"filter.edit.2.php?item_id=$filter_id\">";
print "<tr>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>\n";
print "</tr>\n";

$num_of_filters = pg_num_rows($all_filter_type);
if ($num_of_filters > 0) {
  for ($i=0; $i < $num_of_filters; $i++) {
    $filter = pg_fetch_row($all_filter_type, $i);
    print "<tr>";
    if ($filter_type_current_value[0] == $filter[0])
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"filter_type_id\" value=\"$filter[0]\" checked></td>";
    else
      print "<td align=\"left\" bgcolor=\"$color[table_body]\"><input type=\"radio\" name=\"filter_type_id\" value=\"$filter[0]\"></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"$filter[4]\">$filter[1]</a></td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$filter[2]</td>";
    print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$filter[3]</td>";
    print "</tr>";
  }
}
else
  print "<tr><td colspan=6 align=\"left\" bgcolor=\"$color[table_body]\" >No filter types found.</td></tr>";

print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Edit Filter Type</font></td>";
print "</td>";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"4%\"></td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"50%\">Manufacturer</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"25%\">Model</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"21%\">Variation</td>";
print "</tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<input type=\"radio\" name=\"filter_type_id\" value=\"custom\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >";
print "<select name=\"filter_manufacturer_id\">";
for ($i=0; $i < $num_of_manufacturers; $i++) {
  $manufacturer = pg_fetch_row($all_manufacturer, $i);
  if ($filter_current_value[0]==$manufacturer[1])
    print "<option value=\"$manufacturer[0]\" selected>$manufacturer[1]";
  else
    print "<option value=\"$manufacturer[0]\">$manufacturer[1]";
}
print "</select>";

print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"filter_model\" value=\"$filter_current_value[1]\">";
print "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\"  >";
print "<input type=\"text\" name=\"filter_variation\" value=\"$filter_current_value[2]\">";
print "</td>";
print "</tr>";
print "</table>\n";

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr><td align=\"left\" bgcolor=\"$color[table_top]\" colspan=\"6\"><font class=\"tabletop\">Filter Specific Data</font></td></tr>";

print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchase Date</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Purchased New</td>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\" >Access</td>";
print "</tr>";

print "<tr>";
$date_of_purchase= substr($filter_current_value[3], 0, 10);
print "<td bgcolor=\"$color[table_body]\" >";
display_date_input_form("filter_purchase_timestamp", "$date_of_purchase");
print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_yes_no_combo("filter_purchased_new", $filter_current_value[4]); print "</td>\n";
print "<td bgcolor=\"$color[table_body]\" >"; display_access_combo("filter_access_rights", $filter_current_value[5], ""); print "</td>\n";
print "</tr>";
print "</table>";

print "&nbsp;<br/>";
print "<input type=\"image\" src=\"$theme/button.save.changes.gif\" border=\"0\" value=\"Save Changes\">\n";
print "<a class=\"nodecor\" href=\"my.profile.php?selector=".$profile_data['filter']['idx']."\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"></a>\n";
print "</form>";

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
