<?php

//  Copyright (C) 2002-2006 Balint Kis (balint-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$mquotes = 0;
$rquotes = 0;

if (get_magic_quotes_gpc()) 
	$mquotes = 1;
if (get_magic_quotes_runtime())
	$rquotes = 1;

?>

<html>
<head  profile="http://www.k-i-s.net/xmpo/1">
	<title>Photo Organizer Demonstration page</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $theme; ?>/screen.css" />
</head>
<body>

<table width="<?php echo $page_width ?>" height="100%" align="center" valign="top" cellspacing="0" cellpadding="0" border="0">
<tr><td align="left" valign="top" >

<table width="100%" cellspacing="0" cellpadding="0">
<tr><td><?php site_logo("left"); ?></td></tr>
<tr><td><?php site_navigator_stand_alone($database, 1); ?></td></tr>
<tr><td><?php site_navigator_status("Welcome to The Photo Organizer Demo Site", "It's simply spectacular!"); ?></td></tr>
<tr><td>

<table width="100%">
<tr><td width="25%" align="left" valign="top" colspan="2">
<p>&nbsp;</p>

<h3>New features and bug fixes in the 2.32.A Release</h3>
<ul>
<li>Don't display trash and orphanage folders if they're empty.</li>
<li>Don't let EXIF data overwrite XML-specified image titles</li>
<li>We were inadvertantly striping the time (HH:MM) off of images when editing them</li>
<li>If we fail to copy an image to the repository, don't try to process it further.</li>
<li>Eliminate references to <i>jpegtran</i> as it's obselete</li>
<li>Support <i>ExifTool</i> for purposes of EXIF extraction</li>
<li>Site configuration is now kept in a separate file</li>
<li>Convert focal length and aperture to numeric types in the database</li>
<li>Properly detect Canon CR2 RAW files</li>
<li>Code cleanups in the RAW import code</li>
<li>Minor code tweaks</li>
<li>Support dcraw v8.18+</li>
<li>Bulk update overhauled, much more usable now</li>
<li>Automagically detect and try to turn off magic_quotes</li>
<li>Installer rewritten. It’s now web-based, and considerably nicer and 
much less brittle</li>
</ul>

</p><p>
Don't forget that the entire content of this page is customizable. You can
create your own layout with basic HTML and PHP skills. Log in as the
administrator and click on the Front Page selector in the Admin tab to visit
the <a href="admin.php?selector=4">Front Page Editor</a>.
</p><p>
The Photo Organizer PHP tags are described in the <a href="help.php?help=12">Front Page</a>'s help section.
</p>

</td></tr>
</table>

</td></tr>
</table>

</td></tr>
<tr><td align="center" valign="bottom">
<?php site_credit("center", true, true); ?>
</td></tr>
</table>

<?php
site_epilog($database);
if ($rquotes) {
	print "<ul><li><font color=\"red\">magic_quotes_runtime() turned 
on!  Workaround present, but we recommend you disable this to prevent 
subtle bugs from appearing.</font></li></ul>";
}
if ($mquotes) {
	print "<ul><li><font color=\"red\">magic_quotes_gpc() 
turned on!  Workaround present, but we recommend you disable this to prevent 
subtle bugs from appearing.</font></li></ul>";
}

?>

&nbsp;<br/>
</body>
</html>


